For the complete documentation index, see llms.txt. This page is also available as Markdown.

Material Types

Get material_types

get
/material_types/

This api is used to sync material types with WorkorderApp. Each material type record can contain the following data:

Parameter
Description
Required
Type (size)

code

Unique code

Y

Varchar (255)

description

Description of the material type.

Y

Varchar (255)

app_enabled

Indication if the material type should be visible in the app

N

Integer (11)

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Query parameters
tokenstringOptionalExample: {{client_token}}
software_tokenstringOptionalExample: {{software_token}}
Responses
200

Response_200

No content

get/material_types/
GET /material_types/ HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200

Response_200

No content

Add material_types

post
/material_types/

This api is used to sync material types with WorkorderApp. Each material type record can contain the following data:

Parameter
Description
Required
Type (size)

code

Unique code

Y

Varchar (255)

description

Description of the material type.

Y

Varchar (255)

app_enabled

Indication if the material type should be visible in the app

N

Integer (11)

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Query parameters
tokenstringOptionalExample: {{client_token}}
software_tokenstringOptionalExample: {{software_token}}
Responses
200

Response_200

No content

post/material_types/
POST /material_types/ HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200

Response_200

No content

Last updated

Was this helpful?